Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface SplitGenerator

All Known Subinterfaces:
  SplitRandomGenerator

public interface SplitGenerator

Internal.

Method Summary
`java.lang.Object` | `advanceAll()` The advanceAll method resets the state of all the virtual generators to the start of their next segment.
`java.lang.Object` | `advanceGenerator(int vGen)` The advanceGenerator method resets the state of a virtual generator to the start of the next segment.
`long` | `getCurrentCount(int vGen)` The getCurrentCount method returns the current count of the specified virtual generator (i.e.
`long` | `getCurrentSegment(int vGen)` The getCurrentSegment method returns the number of the current segment of the specified virtual generator.
`double` | `getDoubleSample(int vGen)` The getDoubleSample method returns a random floating-point number of size double, uniformly distributed in the range [0.0,1.0), from virtual generator (data stream) vGen.
`float` | `getFloatSample(int vGen)` The getFloatSample method returns a random floating-point number of size float, uniformly distributed in the range [0.0,1.0), from virtual generator (data stream) vGen.
`int` | `getNumGenerators()` The getNumGenerators method returns the current number of virtual generators (A).
`int` | `getNumSegments()` The getNumSegments method returns log2(the current number of segments) = v.
`int` | `getSegmentLength()` The getSegmentLength method returns log2(the current segment length) = w.
`double` | `getThinDoubleSample(int vGen)` The getThinDoubleSample method returns a random floating-point number of size double, uniformly distributed in the range [0.0,1.0), from virtual generator (data stream) vGen.
`int` | `getUnsignedSample(int vGen)` The getUnsignedSample method returns a random unsigned integer uniformly distributed over the interval [0,unsignedMax] from virtual generator (data stream) vGen.
`java.lang.Object` | `jumpAllToSegment(long seg)` The jumpAlltoSegment: method resets the state of all the virtual generators to the start of the specified segment.
`java.lang.Object` | `jumpGenerator$toSegment(int vGen, long seg)` The jumpGenerator:toSegment: method resets the state of a virtual generator to the start of the specified segment.
`java.lang.Object` | `restartAll()` The restartAll method resets the state of all the virtual generators to the start of their current segment.
`java.lang.Object` | `restartGenerator(int vGen)` The restartGenerator method resets the state of a virtual generator to the start of the current segment.

Method Detail

### getNumGenerators

    public int getNumGenerators()

  The getNumGenerators method returns the current number of virtual generators (A).

### getNumSegments

    public int getNumSegments()

  The getNumSegments method returns log2(the current number of segments) = v.

### getSegmentLength

    public int getSegmentLength()

  The getSegmentLength method returns log2(the current segment length) = w.

### restartGenerator

    public java.lang.Object restartGenerator(int vGen)

  The restartGenerator method resets the state of a virtual generator to the start of the current segment.

### advanceGenerator

    public java.lang.Object advanceGenerator(int vGen)

  The advanceGenerator method resets the state of a virtual generator to the start of the next segment.

### jumpGenerator$toSegment

    public java.lang.Object jumpGenerator$toSegment(int vGen,
                                                    long seg)

  The jumpGenerator:toSegment: method resets the state of a virtual generator to the start of the specified segment.

### restartAll

    public java.lang.Object restartAll()

  The restartAll method resets the state of all the virtual generators to the start of their current segment.

### advanceAll

    public java.lang.Object advanceAll()

  The advanceAll method resets the state of all the virtual generators to the start of their next segment.

### jumpAllToSegment

    public java.lang.Object jumpAllToSegment(long seg)

  The jumpAlltoSegment: method resets the state of all the virtual generators to the start of the specified segment.

### getUnsignedSample

    public int getUnsignedSample(int vGen)

  The getUnsignedSample method returns a random unsigned integer uniformly distributed over the interval [0,unsignedMax] from virtual generator (data stream) vGen.

### getFloatSample

    public float getFloatSample(int vGen)

  The getFloatSample method returns a random floating-point number of size float, uniformly distributed in the range [0.0,1.0), from virtual generator (data stream) vGen. This method uses 1 call to -getUnsignedSample to fill the mantissa.

### getThinDoubleSample

    public double getThinDoubleSample(int vGen)

  The getThinDoubleSample method returns a random floating-point number of size double, uniformly distributed in the range [0.0,1.0), from virtual generator (data stream) vGen. This method uses 1 call to -getUnsignedSample to fill the mantissa.

### getDoubleSample

    public double getDoubleSample(int vGen)

  The getDoubleSample method returns a random floating-point number of size double, uniformly distributed in the range [0.0,1.0), from virtual generator (data stream) vGen. This method uses 2 calls to -getUnsignedSample to fill the mantissa.

### getCurrentSegment

    public long getCurrentSegment(int vGen)

  The getCurrentSegment method returns the number of the current segment of the specified virtual generator.

### getCurrentCount

    public long getCurrentCount(int vGen)

  The getCurrentCount method returns the current count of the specified virtual generator (i.e. the number of variates delivered).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD